# IRfNetworkCfgFn Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | GetLoginSettings ([out] BSTR *pbstrName,[out] BSTR *pbstrPswd)
HRESULT | StoreLoginSettings ([in] BSTR bstrName,[in] BSTR bstrPswd)
HRESULT | GetVoIPSettings ([out, retval] IRdNtClntVoIPSettings **ppVoIPSettings)
HRESULT | StoreVoIPSettings ([in] IRdNtClntVoIPSettings *pVoIPSettings,[in] RtBOOL bNotifyControls)
HRESULT | SaveAllowed (void)
HRESULT | SaveNetworkPropsIntoCfgFile ([in] BSTR bstrCfgFilePath)
HRESULT | LoadNetworkPropsFromCfgFile ([in] BSTR bstrCfgFilePath)
HRESULT | ClntVoiceSettingsDlg ([in] RtBOOL bDisableSndStng)
HRESULT | SrvVoiceSettingsDlg ([in] IRsNode *pNetNode)
HRESULT | GetDefaultServerAdress ([out, retval] BSTR *bszSvrAdress)
HRESULT | GetDefaultServerPort ([out, retval] WORD *pwPort)
HRESULT | GetServerPortRange ([out] WORD *pwFirstPort,[out] WORD *pwLastPort)
HRESULT | StoreServerPortRange ([in] WORD wFirstPort,[in] WORD wLastPort)
HRESULT | GetAddressHistory ([out, retval] IRdNtAddrHistory **ppHistory)
HRESULT | StoreAddressHistory ([in] IRdNtAddrHistory *pHistory)
HRESULT | AddAddressIntoHistory ([in] IRdNtAddress *pAddress)
HRESULT | GetAgreementSettings ([out, retval] VARIANT *pvAgreement)
HRESULT | StoreAgreementSettings ([in] VARIANT vAgreement)

## Detailed Description

RfNetworkCfgFn function-set allows you to store and restore network configuration parameters.

- All settings are stored in the Dependency Graph, so you must access this function set from a command.

## Member Function Documentation

HRESULT IRfNetworkCfgFn::GetLoginSettings | ( | [out] BSTR * | pbstrName,
|  | [out] BSTR * | pbstrPswd |
| ) |  |  |

Read default login name and password from NetProperties node.

Parameters:

  | pbstrName | [out] Returns login user name.
  | pbstrPswd | [out] Returns user login password.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  You must call this method from a command as it is accessing the DG.

HRESULT IRfNetworkCfgFn::StoreLoginSettings | ( | [in] BSTR | bstrName,
|  | [in] BSTR | bstrPswd |
| ) |  |  |

Store default login name and password to NetProperties node (into hidden and encrypted connector).

Parameters:

  | bstrName | [in] Specify login user name.
  | bstrPswd | [in] Specify user login password.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  You must call this method from a command as it is accessing the DG.

  If the properties node doesn't exist, it will be created.

HRESULT IRfNetworkCfgFn::GetVoIPSettings | ( | [out, retval] IRdNtClntVoIPSettings ** | ppVoIPSettings | ) |

Note: voip not available in current version.
Call to get the VoIP settings from NetProperties node.

Returns:
  ppVoIPSettings [out, retval] Returns VoIP settings.
  - See IRdNtClntVoIPSettings.

  Standard HRESULT processing can be applied to the result.

Remarks:
  You must call this method from a command as it is accessing the DG.

HRESULT IRfNetworkCfgFn::StoreVoIPSettings | ( | [in] IRdNtClntVoIPSettings * | pVoIPSettings,
|  | [in] RtBOOL | bNotifyControls |
| ) |  |  |

Note: voip not available in current version.
Call to store the VoIP settings into NetProperties node.

Parameters:

  | pVoIPSettings | [in] The VoIP IRdNtClntVoIPSettings data object that you want to store into network properties.
  | bNotifyControls | [in] Specify TRUE if you want to notify all network controls about this change.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  You must call this method from a command as it is accessing the DG.

  If the properties node doesn't exist, it will be created.

HRESULT IRfNetworkCfgFn::SaveAllowed | ( | void |  | ) |

Call this method to find if current runner supports object saving or not.

S_OK if save is allowed, S_FALSE if it isn't, or other error.

HRESULT IRfNetworkCfgFn::SaveNetworkPropsIntoCfgFile | ( | [in] BSTR | bstrCfgFilePath | ) |

Save network properties node to net configuration file.

Parameters:

  | bstrCfgFilePath | [in] Specify the file path. If NULL, or an empty string, a default configuration file name and path are used.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  You must call this method from a command as it is accessing the DG.

  The primary purpose of this method, is to replace storing network configuration,
  in case the application has its serialization disabled.
  You can use it for example to export the settings.

HRESULT IRfNetworkCfgFn::LoadNetworkPropsFromCfgFile | ( | [in] BSTR | bstrCfgFilePath | ) |

Load network properties node from net configuration file.

Parameters:

  | bstrCfgFilePath | [in] Specify the file path. If NULL, or an empty string, a default configuration file name and path are used.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  You must call this method from a command as it is accessing the DG.

  If runner has allowed store objects, you usually don't need to call this method,
  as the network settings are already restored through application initialization.

HRESULT IRfNetworkCfgFn::ClntVoiceSettingsDlg | ( | [in] RtBOOL | bDisableSndStng | ) |

Invoke the client settings dialog.

Parameters:

  | bDisableSndStng | [in] If TRUE, all the DX related items will be disabled.

Returns:
  S_OK - if the settings was successfully written.

  S_FALSE - if the dialog was canceled.

  or other error.

Remarks:
  the method must be called from a command as it is accessing the DG.

HRESULT IRfNetworkCfgFn::SrvVoiceSettingsDlg | ( | [in] IRsNode * | pNetNode | ) |

Invoke the server settings dialog.

Parameters:

  | pNetNode | [in] Specify the server node that will be set.

Returns:
  S_OK - if the settings was successfully written.

  S_FALSE - if the dialog was canceled.

  or other error.

Remarks:
  the method must be called from a command as it is accessing the DG.

HRESULT IRfNetworkCfgFn::GetDefaultServerAdress | ( | [out, retval] BSTR * | bszSvrAdress | ) |

Get default server IP address.

Returns:
  bszSvrAdress [out, retval] Returns the default server address.

  S_FALSE if the address is not found.

Remarks:
  Use this function only from commands as it is accessing the DG.

HRESULT IRfNetworkCfgFn::GetDefaultServerPort | ( | [out, retval] WORD * | pwPort | ) |

Get default client port.

Returns:
  pwPort [out, retval] Returns the default server's port.

  S_FALSE if the port is not found.

Remarks:
  Use this function only from commands as it is accessing the DG.

HRESULT IRfNetworkCfgFn::GetServerPortRange | ( | [out] WORD * | pwFirstPort,
|  | [out] WORD * | pwLastPort |
| ) |  |  |

Get the server's port range. Function always return a value.

Parameters:

  | pwFirstPort | [out] Returns the first port.
  | pwLastPort | [out] Returns the last port.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  Use this function only from commands as it is accessing the DG.

HRESULT IRfNetworkCfgFn::StoreServerPortRange | ( | [in] WORD | wFirstPort,
|  | [in] WORD | wLastPort |
| ) |  |  |

Store server's port range.

Parameters:

  | wFirstPort | [in] Specify the first port.
  | wLastPort | [in] Specify the last port.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  Use this function only from commands as it is accessing the DG.

HRESULT IRfNetworkCfgFn::GetAddressHistory | ( | [out, retval] IRdNtAddrHistory ** | ppHistory | ) |

GetAddressHistory.

Returns:
  ppHistory [out,retval] .

HRESULT IRfNetworkCfgFn::StoreAddressHistory | ( | [in] IRdNtAddrHistory * | pHistory | ) |

StoreAddressHistory.

Parameters:

  | pHistory | [in] .

HRESULT IRfNetworkCfgFn::AddAddressIntoHistory | ( | [in] IRdNtAddress * | pAddress | ) |

AddAddressIntoHistory.

Parameters:

  | pAddress | [in] .

HRESULT IRfNetworkCfgFn::GetAgreementSettings | ( | [out, retval] VARIANT * | pvAgreement | ) |

GetAgreementSettings.

Parameters:

  | pvAgreement | [out, retval] .

HRESULT IRfNetworkCfgFn::StoreAgreementSettings | ( | [in] VARIANT | vAgreement | ) |

StoreAgreementSettings.

Parameters:

  | vAgreement | [in] .